#include<bits/stdc++.h>
using namespace std;
int main()
{
	char c1,c2;
	int a1,a2,i;
	scanf("%c%c%d%d",&c1,&c2,&a1,&a2);
	if(a1==a2)
	 for(i=0;i<a1;i++)
	  printf("%c%c",c1,c2);
	else
	 if(a1==a2+1)
	 {
	 	printf("%c",c1);
	 	for(i=0;i<a2;i++)
	 	 printf("%c%c",c2,c1);
	 }
	 else
	  if(a2==a1+1)
	  {
	  	printf("%c",c2);
	  	for(i=0;i<a1;i++)
	  	 printf("%c%c",a1,a2);
	  }
	  else
	   printf("nemoguce");
	return 0;
}